<?php
error_reporting(E_ALL);

session_start();

require_once(__DIR__ .'/../Medoo/Medoo.php');

// Using Medoo namespace
use Medoo\Medoo;

$GLOBALS['config'] = array(
  'medoo' => array(
	'database_type' => 'mysql',
    'host' => '_DB_HOST_',
    'username' => '_DB_USER_',
    'password' => '_DB_PASSWORD_',
    'db' => '_DB_NAME_'
  ),
  'remember' => array(
    'cookie_name' => 'hash',
    'cookie_expiry' => 604800
  ),
  'language' => array(
    'cookie_name' => 'lang',
    'cookie_expiry' => 600
  ),
  'session' => array(
    'session_admin' => 'admin',
    'session_name' => 'user',
    'token_name' => 'token'
  )
);


spl_autoload_register(function($class){
  require_once __DIR__ .'/../classes/' .$class. '.php';	
});

$database = new Medoo([
	// required
	'database_type' => Config::get('medoo/database_type'),
	'database_name' => Config::get('medoo/db'),
	'server' => Config::get('medoo/host'),
	'username' => Config::get('medoo/username'),
	'password' => Config::get('medoo/password'),
]);

//Get Site Settings Data
$query = $database->select("settings", "*", ["id" => 1]);
foreach($query as $web) {}			

//Get Language Settings Data
$qlang = $database->select("languages", "*", ["languageid" => $web["languageid"]]);
foreach($qlang as $lang) {}	

require_once(__DIR__ .'/../functions/paypal_class.php');
require_once(__DIR__ .'/../functions/sanitize.php');
require_once(__DIR__ .'/../functions/Mail.php');
require_once(__DIR__ .'/../functions/TruncateHTML.php');
require_once(__DIR__ .'/../functions/Pagination.php');
require_once(__DIR__ .'/../functions/Functions.php');
require_once(__DIR__ .'/../functions/Uniqueid.php');
require_once(__DIR__ .'/../functions/Slug.php');
require_once(__DIR__ .'/../functions/auto_copyright.php');
require_once(__DIR__ .'/../functions/Feed.php');


if($_COOKIE['lang'] = '') {
	$pglang = 'english';
	
	//Get Site Settings Data
	$qset = $database->select("languages", "*", ["language" => $pglang]);
    foreach($qset as $rset) {}		
	
	$siteUpdate = $database->update('settings',[
	    'languageid' => $rset["languageid"]
    ],[
    'id' => $web["id"]
    ]);	
	
		
}


if (Cookie::exists(Config::get('remember/cookie_name')) && !Session::exists(Config::get('session/session_name')) 
&& !Session::exists(Config::get('session/session_admin'))) {
  $hash = Cookie::get(Config::get('remember/cookie_name'));
  $hash_Check = $database->has("users_session", ["hash" => $hash]);	

  if ($hash_Check == true) {
    $hashChecks = $database->select("users_session", "*", ["hash" => $hash]);	
    foreach($hashChecks as $hashCheck) {}	
  
  	$admin = new Admin($hashCheck["user_id"]);
  	$user = new User($hashCheck["user_id"]);
	
	if ($admin) {
	$admin->login();  
	}else {
	$user->login(); 
	}
	
  }

}
?>